﻿using Gurux.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Gurux.GXOwnMedia
{
    public partial class GXOwnMediaProperties : Form, IGXPropertyPage
    {
        /// <summary>
        /// Parent component.
        /// </summary>
        readonly GXOwnMedia Media;
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="media">Media component</param>
        public GXOwnMediaProperties(GXOwnMedia media)
        {
            InitializeComponent();
            Media = media;
        }

        /// <summary>
        /// In this example we always return that user has made changes.
        /// </summary>
        public bool Dirty
        {
            get
            {
                return true;
            }
            set
            {
            }
        }

        /// <inheritdoc cref="IGXPropertyPage.Apply"/>
        public void Apply()
        {
            //Validate media settings.
            Media.Validate();
            //Update media settings.
            Media.IPAddress = IPAddressTB.Text;
        }

        /// <inheritdoc cref="IGXPropertyPage.Initialize"/>
        public void Initialize()
        {
            IPAddressTB.Text = Media.IPAddress;
        }

        private void IPAddressLbl_Click(object sender, EventArgs e)
        {

        }

        private void IPAddressTB_TextChanged(object sender, EventArgs e)
        {

        }
    }
}
